| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
TopicQos Class Reference
eProsima Fast DDS API Reference » DDS Public API » Fast DDS Quality of Service (QoS) Module.

Class TopicQos, containing all the possible Qos that can be set for a determined Topic. More...

`#include <TopicQos.hpp>`

## Public Member Functions

FASTDDS_EXPORTED_API | TopicQos ()
| Constructor.
bool | operator== (const TopicQos &b) const
const TopicDataQosPolicy & | topic_data () const
| Getter for TopicDataQosPolicy.
TopicDataQosPolicy & | topic_data ()
| Getter for TopicDataQosPolicy.
void | topic_data (const TopicDataQosPolicy &value)
| Setter for TopicDataQosPolicy.
const DurabilityQosPolicy & | durability () const
| Getter for DurabilityQosPolicy.
DurabilityQosPolicy & | durability ()
| Getter for DurabilityQosPolicy.
void | durability (const DurabilityQosPolicy &durability)
| Setter for DurabilityQosPolicy.
const DurabilityServiceQosPolicy & | durability_service () const
| Getter for DurabilityServiceQosPolicy.
DurabilityServiceQosPolicy & | durability_service ()
| Getter for DurabilityServiceQosPolicy.
void | durability_service (const DurabilityServiceQosPolicy &durability_service)
| Setter for DurabilityServiceQosPolicy.
const DeadlineQosPolicy & | deadline () const
| Getter for DeadlineQosPolicy.
DeadlineQosPolicy & | deadline ()
| Getter for DeadlineQosPolicy.
void | deadline (const DeadlineQosPolicy &deadline)
| Setter for DeadlineQosPolicy.
const LatencyBudgetQosPolicy & | latency_budget () const
| Getter for LatencyBudgetQosPolicy.
LatencyBudgetQosPolicy & | latency_budget ()
| Getter for LatencyBudgetQosPolicy.
void | latency_budget (const LatencyBudgetQosPolicy &latency_budget)
| Setter for LatencyBudgetQosPolicy.
const LivelinessQosPolicy & | liveliness () const
| Getter for LivelinessQosPolicy.
LivelinessQosPolicy & | liveliness ()
| Getter for LivelinessQosPolicy.
void | liveliness (const LivelinessQosPolicy &liveliness)
| Setter for LivelinessQosPolicy.
const ReliabilityQosPolicy & | reliability () const
| Getter for ReliabilityQosPolicy.
ReliabilityQosPolicy & | reliability ()
| Getter for ReliabilityQosPolicy.
void | reliability (const ReliabilityQosPolicy &reliability)
| Setter for ReliabilityQosPolicy.
const DestinationOrderQosPolicy & | destination_order () const
| Getter for DestinationOrderQosPolicy.
DestinationOrderQosPolicy & | destination_order ()
| Getter for DestinationOrderQosPolicy.
void | destination_order (const DestinationOrderQosPolicy &destination_order)
| Setter for DestinationOrderQosPolicy.
const HistoryQosPolicy & | history () const
| Getter for HistoryQosPolicy.
HistoryQosPolicy & | history ()
| Getter for HistoryQosPolicy.
void | history (const HistoryQosPolicy &history)
| Setter for HistoryQosPolicy.
const ResourceLimitsQosPolicy & | resource_limits () const
| Getter for ResourceLimitsQosPolicy.
ResourceLimitsQosPolicy & | resource_limits ()
| Getter for ResourceLimitsQosPolicy.
void | resource_limits (const ResourceLimitsQosPolicy &resource_limits)
| Setter for ResourceLimitsQosPolicy.
const TransportPriorityQosPolicy & | transport_priority () const
| Getter for TransportPriorityQosPolicy.
TransportPriorityQosPolicy & | transport_priority ()
| Getter for TransportPriorityQosPolicy.
void | transport_priority (const TransportPriorityQosPolicy &transport_priority)
| Setter for TransportPriorityQosPolicy.
const LifespanQosPolicy & | lifespan () const
| Getter for LifespanQosPolicy.
LifespanQosPolicy & | lifespan ()
| Getter for LifespanQosPolicy.
void | lifespan (const LifespanQosPolicy &lifespan)
| Setter for LifespanQosPolicy.
const OwnershipQosPolicy & | ownership () const
| Getter for OwnershipQosPolicy.
OwnershipQosPolicy & | ownership ()
| Getter for OwnershipQosPolicy.
void | ownership (const OwnershipQosPolicy &ownership)
| Setter for OwnershipQosPolicy.
const DataRepresentationQosPolicy & | representation () const
| Getter for DataRepresentationQosPolicy.
DataRepresentationQosPolicy & | representation ()
| Getter for DataRepresentationQosPolicy.
void | representation (const DataRepresentationQosPolicy &representation)
| Setter for DataRepresentationQosPolicy.

## Detailed Description

Class TopicQos, containing all the possible Qos that can be set for a determined Topic.

Although these values can be set and are transmitted during the Endpoint Discovery Protocol, not all of the behaviour associated with them has been implemented in the library. Please consult each of them to check for implementation details and default values.

## Constructor & Destructor Documentation

## ◆ TopicQos()

FASTDDS_EXPORTED_API TopicQos | ( |  | ) |

Constructor.

## Member Function Documentation

## ◆ deadline() [1/3]

DeadlineQosPolicy & deadline | ( |  | ) |

inline

Getter for DeadlineQosPolicy.

Returns
  DeadlineQos reference

## ◆ deadline() [2/3]

const DeadlineQosPolicy & deadline | ( |  | ) | const

inline

Getter for DeadlineQosPolicy.

Returns
  DeadlineQos reference

## ◆ deadline() [3/3]

void deadline | ( | const DeadlineQosPolicy & | deadline | ) |

inline

Setter for DeadlineQosPolicy.

Parameters

  deadline | new value for the DeadlineQosPolicy

## ◆ destination_order() [1/3]

DestinationOrderQosPolicy & destination_order | ( |  | ) |

inline

Getter for DestinationOrderQosPolicy.

Returns
  DestinationOrderQos reference

## ◆ destination_order() [2/3]

const DestinationOrderQosPolicy & destination_order | ( |  | ) | const

inline

Getter for DestinationOrderQosPolicy.

Returns
  DestinationOrderQos reference

## ◆ destination_order() [3/3]

void destination_order | ( | const DestinationOrderQosPolicy & | destination_order | ) |

inline

Setter for DestinationOrderQosPolicy.

Parameters

  destination_order | new value for the DestinationOrderQosPolicy

## ◆ durability() [1/3]

DurabilityQosPolicy & durability | ( |  | ) |

inline

Getter for DurabilityQosPolicy.

Returns
  DurabilityQos reference

## ◆ durability() [2/3]

const DurabilityQosPolicy & durability | ( |  | ) | const

inline

Getter for DurabilityQosPolicy.

Returns
  DurabilityQos reference

## ◆ durability() [3/3]

void durability | ( | const DurabilityQosPolicy & | durability | ) |

inline

Setter for DurabilityQosPolicy.

Parameters

  durability | new value for the DurabilityQosPolicy

## ◆ durability_service() [1/3]

DurabilityServiceQosPolicy & durability_service | ( |  | ) |

inline

Getter for DurabilityServiceQosPolicy.

Returns
  DurabilityServiceQos reference

## ◆ durability_service() [2/3]

const DurabilityServiceQosPolicy & durability_service | ( |  | ) | const

inline

Getter for DurabilityServiceQosPolicy.

Returns
  DurabilityServiceQos reference

## ◆ durability_service() [3/3]

void durability_service | ( | const DurabilityServiceQosPolicy & | durability_service | ) |

inline

Setter for DurabilityServiceQosPolicy.

Parameters

  durability_service | new value for the DurabilityServiceQosPolicy

## ◆ history() [1/3]

HistoryQosPolicy & history | ( |  | ) |

inline

Getter for HistoryQosPolicy.

Returns
  HistoryQos reference

## ◆ history() [2/3]

const HistoryQosPolicy & history | ( |  | ) | const

inline

Getter for HistoryQosPolicy.

Returns
  HistoryQos reference

## ◆ history() [3/3]

void history | ( | const HistoryQosPolicy & | history | ) |

inline

Setter for HistoryQosPolicy.

Parameters

  history | new value for the HistoryQosPolicy

## ◆ latency_budget() [1/3]

LatencyBudgetQosPolicy & latency_budget | ( |  | ) |

inline

Getter for LatencyBudgetQosPolicy.

Returns
  LatencyBudgetQos reference

## ◆ latency_budget() [2/3]

const LatencyBudgetQosPolicy & latency_budget | ( |  | ) | const

inline

Getter for LatencyBudgetQosPolicy.

Returns
  LatencyBudgetQos reference

## ◆ latency_budget() [3/3]

void latency_budget | ( | const LatencyBudgetQosPolicy & | latency_budget | ) |

inline

Setter for LatencyBudgetQosPolicy.

Parameters

  latency_budget | new value for the LatencyBudgetQosPolicy

## ◆ lifespan() [1/3]

LifespanQosPolicy & lifespan | ( |  | ) |

inline

Getter for LifespanQosPolicy.

Returns
  LifespanQos reference

## ◆ lifespan() [2/3]

const LifespanQosPolicy & lifespan | ( |  | ) | const

inline

Getter for LifespanQosPolicy.

Returns
  LifespanQos reference

## ◆ lifespan() [3/3]

void lifespan | ( | const LifespanQosPolicy & | lifespan | ) |

inline

Setter for LifespanQosPolicy.

Parameters

  lifespan | new value for the LifespanQosPolicy

## ◆ liveliness() [1/3]

LivelinessQosPolicy & liveliness | ( |  | ) |

inline

Getter for LivelinessQosPolicy.

Returns
  LivelinessQos reference

## ◆ liveliness() [2/3]

const LivelinessQosPolicy & liveliness | ( |  | ) | const

inline

Getter for LivelinessQosPolicy.

Returns
  LivelinessQos reference

## ◆ liveliness() [3/3]

void liveliness | ( | const LivelinessQosPolicy & | liveliness | ) |

inline

Setter for LivelinessQosPolicy.

Parameters

  liveliness | new value for the LivelinessQosPolicy

## ◆ operator==()

bool operator== | ( | const TopicQos & | b | ) | const

inline

## ◆ ownership() [1/3]

OwnershipQosPolicy & ownership | ( |  | ) |

inline

Getter for OwnershipQosPolicy.

Returns
  OwnershipQos reference

## ◆ ownership() [2/3]

const OwnershipQosPolicy & ownership | ( |  | ) | const

inline

Getter for OwnershipQosPolicy.

Returns
  OwnershipQos reference

## ◆ ownership() [3/3]

void ownership | ( | const OwnershipQosPolicy & | ownership | ) |

inline

Setter for OwnershipQosPolicy.

Parameters

  ownership | new value for the OwnershipQosPolicy

## ◆ reliability() [1/3]

ReliabilityQosPolicy & reliability | ( |  | ) |

inline

Getter for ReliabilityQosPolicy.

Returns
  ReliabilityQos reference

## ◆ reliability() [2/3]

const ReliabilityQosPolicy & reliability | ( |  | ) | const

inline

Getter for ReliabilityQosPolicy.

Returns
  ReliabilityQos reference

## ◆ reliability() [3/3]

void reliability | ( | const ReliabilityQosPolicy & | reliability | ) |

inline

Setter for ReliabilityQosPolicy.

Parameters

  reliability | new value for the ReliabilityQosPolicy

## ◆ representation() [1/3]

DataRepresentationQosPolicy & representation | ( |  | ) |

inline

Getter for DataRepresentationQosPolicy.

Returns
  DataRepresentationQosPolicy reference

## ◆ representation() [2/3]

const DataRepresentationQosPolicy & representation | ( |  | ) | const

inline

Getter for DataRepresentationQosPolicy.

Returns
  DataRepresentationQosPolicy reference

## ◆ representation() [3/3]

void representation | ( | const DataRepresentationQosPolicy & | representation | ) |

inline

Setter for DataRepresentationQosPolicy.

Parameters

  representation | new value for the DataRepresentationQosPolicy

## ◆ resource_limits() [1/3]

ResourceLimitsQosPolicy & resource_limits | ( |  | ) |

inline

Getter for ResourceLimitsQosPolicy.

Returns
  ResourceLimitsQos reference

## ◆ resource_limits() [2/3]

const ResourceLimitsQosPolicy & resource_limits | ( |  | ) | const

inline

Getter for ResourceLimitsQosPolicy.

Returns
  ResourceLimitsQos reference

## ◆ resource_limits() [3/3]

void resource_limits | ( | const ResourceLimitsQosPolicy & | resource_limits | ) |

inline

Setter for ResourceLimitsQosPolicy.

Parameters

  resource_limits | new value for the ResourceLimitsQosPolicy

## ◆ topic_data() [1/3]

TopicDataQosPolicy & topic_data | ( |  | ) |

inline

Getter for TopicDataQosPolicy.

Returns
  TopicDataQos reference

## ◆ topic_data() [2/3]

const TopicDataQosPolicy & topic_data | ( |  | ) | const

inline

Getter for TopicDataQosPolicy.

Returns
  TopicDataQos reference

## ◆ topic_data() [3/3]

void topic_data | ( | const TopicDataQosPolicy & | value | ) |

inline

Setter for TopicDataQosPolicy.

Parameters

  value | new value for the TopicDataQosPolicy

## ◆ transport_priority() [1/3]

TransportPriorityQosPolicy & transport_priority | ( |  | ) |

inline

Getter for TransportPriorityQosPolicy.

Returns
  TransportPriorityQos reference

## ◆ transport_priority() [2/3]

const TransportPriorityQosPolicy & transport_priority | ( |  | ) | const

inline

Getter for TransportPriorityQosPolicy.

Returns
  TransportPriorityQos reference

## ◆ transport_priority() [3/3]

void transport_priority | ( | const TransportPriorityQosPolicy & | transport_priority | ) |

inline

Setter for TransportPriorityQosPolicy.

Parameters

  transport_priority | new value for the TransportPriorityQosPolicy

The documentation for this class was generated from the following file:

- include/fastdds/dds/topic/qos/TopicQos.hpp